Subject: Re: I-D ACTION:draft-ietf-pkix-okid-00.txt

From: Stephen Farrell <[email-masked]>
Date: Fri, 01 Feb 2002 10:40:02 +0000

Peter Gutmann wrote:
> Actually I think the main problem with this draft (which others have also
> alluded to indirectly) is that it's trying to do two things at once: Identify
> certs using a hash, and provide a way of encoding binary values as user-
> friendly keys.  I think it'd be better to split the two, create a universal
> user-friendly key-encoding RFC and then move the identifying-certs bit
> elsewhere.  The key-encoding is useful in lots of other places, for example
> I've been using it with CMP for enrolment details.

I kind of like this idea, since I might want to be able 
to do the equivalent trick in an xmldsig context where 
I'd (probably) be hashing over a ds:KeyInfo.

Stephen.

-- 
____________________________________________________________
Stephen Farrell         				   
Baltimore Technologies,   tel: (direct line) +353 1 881 6716
39 Parkgate Street,                     fax: +353 1 881 7000
Dublin 8.                mailto:[email-masked]
Ireland                             http://www.baltimore.com